%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate brotli-decompressor

Name:           rust-brotli-decompressor
Version:        2.5.1
Release:    1%{?dist}
Summary:        Brotli decompressor with no_std support

License:        BSD-3-Clause AND MIT
URL:            https://crates.io/crates/brotli-decompressor
Source0:         %{crates_source}
Patch:          brotli-decompressor-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A brotli decompressor that with an interface avoiding the rust stdlib.
This makes it suitable for embedded devices and kernels. It is designed
with a pluggable allocator so that the standard lib's allocator may be
employed. The default build also includes a stdlib allocator and stream
interface. Disable this with --features=no-stdlib. Alternatively,
--features=unsafe turns off array bounds checks and memory
initialization but provides a safe interface for the caller.  Without
adding the --features=unsafe argument, all included code is safe. For
compression in addition to this library, download
https://github.com/dropbox/rust-brotli.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-stdlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-stdlib-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc-stdlib" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-stdlib-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+benchmark-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+benchmark-devel %{_description}

This package contains library source intended for building other packages which
use the "benchmark" feature of the "%{crate}" crate.

%files       -n %{name}+benchmark-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+disable-timer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+disable-timer-devel %{_description}

This package contains library source intended for building other packages which
use the "disable-timer" feature of the "%{crate}" crate.

%files       -n %{name}+disable-timer-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pass-through-ffi-panics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pass-through-ffi-panics-devel %{_description}

This package contains library source intended for building other packages which
use the "pass-through-ffi-panics" feature of the "%{crate}" crate.

%files       -n %{name}+pass-through-ffi-panics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+seccomp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+seccomp-devel %{_description}

This package contains library source intended for building other packages which
use the "seccomp" feature of the "%{crate}" crate.

%files       -n %{name}+seccomp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsafe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsafe-devel %{_description}

This package contains library source intended for building other packages which
use the "unsafe" feature of the "%{crate}" crate.

%files       -n %{name}+unsafe-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
find -type f -name '*.rs' -executable -exec chmod -x '{}' +

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-1
- initial build
